#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#define scaler 255/1023.0
RF24 radio(8,9); // CE, CSN
const byte address[6] = "00001";
uint8_t xyData[32] = "";
uint8_t xAxis, yAxis;
uint8_t x2Axis, y2Axis;
uint8_t x3Axis, y3Axis;
uint8_t x4Axis, y4Axis;

void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.openWritingPipe(address);
  radio.setPALevel(RF24_PA_MIN);
  radio.stopListening();

  
}
void loop() {

  //driver stick
  xAxis = analogRead(A1)*scaler; // Read Joysticks X-axis
  yAxis = analogRead(A0)*scaler; // Read Joysticks Y-axis

  xyData[0] = xAxis;
  xyData[1] = yAxis;

  //actuator elbow and shoulder
  x2Axis = analogRead(A3)*scaler; // Read Joysticks X-axis
  y2Axis = analogRead(A2)*scaler; // Read Joysticks Y-axis

  xyData[2] = x2Axis;
  xyData[3] = y2Axis;

  //servo wrist and hand
  x3Axis = analogRead(A5)*scaler; // Read Joysticks X-axis
  y3Axis = analogRead(A4)*scaler; // Read Joysticks Y-axis

  xyData[4] = x3Axis;
  xyData[5] = y3Axis;

  //rotate arm left and right + extra device of ur choice [not being used yet]
  x4Axis = analogRead(A7)*scaler; // Read Joysticks X-axis
  y4Axis = analogRead(A6)*scaler; // Read Joysticks Y-axis

  xyData[4] = x3Axis;
  xyData[5] = y3Axis;

  // X value
  //xAxis.toCharArray(xyData, 5); // Put the String (X Value) into a character array
  radio.write(&xyData, sizeof(xyData)); // Send the array data (X value) to the other NRF24L01 modile
  // Y value
  //yAxis.toCharArray(xyData, 5);
  //radio.write(&xyData, sizeof(xyData));
  delay(20);




}
